﻿Public Class Form1
    Dim diskFileName As String = "..\..\inventory.txt"

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        FillListBox()

    End Sub

    Private Sub btnLoad_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnLoad.Click

        If lbItems.Items.Count = 0 Then
            FillListBox()
        End If

    End Sub

    Private Sub FillListBox()

        '---open text file and read lines & fill listbox
        Dim dataFromFile As String = String.Empty
        Dim InBuf As Integer = 0

        InBuf = FreeFile()

        '---open file for reading
        FileOpen(InBuf, diskFileName, OpenMode.Input)

        Do Until EOF(InBuf)
            dataFromFile = LineInput(InBuf)
            lbItems.Items.Add(dataFromFile)
        Loop

        '---close file
        FileClose(InBuf)

        lbItems.Sorted = True

    End Sub

    Private Sub Save2Disk()
        Dim x As Integer = 0
        Dim OutBuf As Integer = 0

        OutBuf = FreeFile()

        FileOpen(OutBuf, diskFileName, OpenMode.Output)

        For x = 0 To lbItems.Items.Count - 1
            PrintLine(OutBuf, lbItems.Items(x))

        Next

        FileClose(OutBuf)

    End Sub


    Private Sub btnClear_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnClear.Click
        lbItems.Items.Clear()

    End Sub

    Private Sub btnAdd_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnAdd.Click
        If Len(txtNewItem.Text.Trim) > 0 Then
            lbItems.Items.Add(txtNewItem.Text.Trim)
        End If
        txtNewItem.Clear()

    End Sub

    Private Sub btnSave_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSave.Click
        Save2Disk()

    End Sub

    Private Sub btnDelete_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnDelete.Click
        lbItems.Items.Remove(lbItems.SelectedItem)
    End Sub
End Class
